Bug 19007 - Allow paypal payments via debit or credit card again
Summary: Allow paypal payments via debit or credit card again
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-31 13:17 UTC by Kyle M Hall
Modified: 2017-10-05 21:26 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot - Pre-patch (35.73 KB, image/png)
2017-07-31 13:22 UTC, Kyle M Hall
Details
Screenshot - Post-patch (38.79 KB, image/png)
2017-07-31 13:22 UTC, Kyle M Hall
Details
Bug 19007 - Allow paypal payments via debit or credit card again (1.43 KB, patch)
2017-07-31 13:23 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19007 - Allow paypal payments via debit or credit card again (1.53 KB, patch)
2017-07-31 13:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19007 - Allow paypal payments via debit or credit card again (1.60 KB, patch)
2017-09-01 09:41 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-07-31 13:17:29 UTC
A recent change in Paypal has removed the previous default option of paying via debit or credit card without an account. To bring this option back, we need to send an additional parameter to the PayPal API.
Comment 1 Kyle M Hall 2017-07-31 13:22:28 UTC
Created attachment 65343 [details]
Screenshot - Pre-patch
Comment 2 Kyle M Hall 2017-07-31 13:22:58 UTC
Created attachment 65344 [details]
Screenshot - Post-patch
Comment 3 Kyle M Hall 2017-07-31 13:23:33 UTC
Created attachment 65345 [details] [review]
Bug 19007 - Allow paypal payments via debit or credit card again

A recent change in Paypal has removed the previous default option of paying via debit or credit card without an account. To bring this option back, we need to send an additional parameter to the PayPal API.

Test Plan:
1) Enable paypal for your Koha instance
2) Ensure you are not logged in to PayPal
3) Attempt to pay a fine via PayPal
4) Not the the "Pay with Debit or Credit Card" option is missing
5) Apply this patch
6) Refresh opac-account.pl
7) Attempt to make a payment via PayPal again
8) Note the option "Pay with Debit or Credit Card" is now available
Comment 4 Kyle M Hall 2017-07-31 13:57:45 UTC
Created attachment 65346 [details] [review]
Bug 19007 - Allow paypal payments via debit or credit card again

A recent change in Paypal has removed the previous default option of paying via debit or credit card without an account. To bring this option back, we need to send an additional parameter to the PayPal API.

Test Plan:
1) Enable paypal for your Koha instance
2) Ensure you are not logged in to PayPal
3) Attempt to pay a fine via PayPal
4) Not the the "Pay with Debit or Credit Card" option is missing
5) Apply this patch
6) Refresh opac-account.pl
7) Attempt to make a payment via PayPal again
8) Note the option "Pay with Debit or Credit Card" is now available

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: George Williams <gwilliams@nekls.org>
Comment 5 Julian Maurice 2017-09-01 09:41:15 UTC
Created attachment 66693 [details] [review]
Bug 19007 - Allow paypal payments via debit or credit card again

A recent change in Paypal has removed the previous default option of paying via debit or credit card without an account. To bring this option back, we need to send an additional parameter to the PayPal API.

Test Plan:
1) Enable paypal for your Koha instance
2) Ensure you are not logged in to PayPal
3) Attempt to pay a fine via PayPal
4) Not the the "Pay with Debit or Credit Card" option is missing
5) Apply this patch
6) Refresh opac-account.pl
7) Attempt to make a payment via PayPal again
8) Note the option "Pay with Debit or Credit Card" is now available

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: George Williams <gwilliams@nekls.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Julian Maurice 2017-09-01 09:43:27 UTC
I can't see the "Pay with Debit or Credit Card" option, but this is probably because of a misconfiguration in my PayPal account. According to the documentation at https://developer.paypal.com/docs/classic/api/merchant/SetExpressCheckout_API_Operation_NVP/ the patch is correct.
Comment 7 Jonathan Druart 2017-09-01 16:07:11 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-10-03 08:08:32 UTC
(In reply to Julian Maurice from comment #6)
> I can't see the "Pay with Debit or Credit Card" option, but this is probably
> because of a misconfiguration in my PayPal account. According to the
> documentation at
> https://developer.paypal.com/docs/classic/api/merchant/
> SetExpressCheckout_API_Operation_NVP/ the patch is correct.

I bet this is because you have a regular french card that is only a debit card.
In US and other countries, they are real credit|debit cards.
Comment 9 Fridolin SOMERS 2017-10-03 08:09:06 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 10 Katrin Fischer 2017-10-05 21:26:59 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.